Pass::OTP::URI(3pm)

NAME
Pass::OTP::URI - Parse otpauth:// URI

SYNOPSIS
    use Pass::OTP::URI qw(parse);

    my $uri = "otpauth://totp/ACME:john.doe@email.com?secret=HXDMVJECJJWSRB3HWIZR4IFUGFTMXBOZ&issuer=ACME&digits=6";
    my %options = parse($uri);

FUNCTIONS

parse($uri)

SEE ALSO
Pass::OTP

<https://github.com/google/google-authenticator/wiki/Key-Uri-Format>

COPYRIGHT AND LICENSE
Copyright (C) 2024 Jan Baier

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See <http://dev.perl.org/licenses/> for more information.